Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137071 - User library definitions are removed from nbproject/private/private.properties on startup
User library definitions are removed from nbproject/private/private.propertie...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: EAR
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Konecny
issues@javaee
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-12 07:06 UTC by ladermann
Modified: 2008-09-04 13:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
messages.log (60.28 KB, text/plain)
2008-06-12 07:07 UTC, ladermann
Details
Before start of the IDE (9.77 KB, text/plain)
2008-06-13 06:34 UTC, ladermann
Details
After start of the IDE (10.89 KB, text/plain)
2008-06-13 06:37 UTC, ladermann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ladermann 2008-06-12 07:06:29 UTC
User library definitions are removed from nbproject/private/private.properties on startup of an EJB-project within an 
EAR project, so that the project can't be compiled after a clean. When opening the properties dialog of the 
ejb-project and presseing the "Save" button, the private.properties file is correctly regenerated, so the build works 
until the next start of the IDE.

This problem was not present from the beginning, but only after several weeks of usage, so I can't give more hints on 
how to reproduce this problem.
Comment 1 ladermann 2008-06-12 07:07:31 UTC
Created attachment 62719 [details]
messages.log
Comment 2 David Konecny 2008-06-12 21:36:25 UTC
There was a fix related to lib.file.xxx properties. The fix was included in a patch for 6.1. 

Also, could you zip nbproject folder before and after this problem and attach it here?

If the problem happened after a while it may help to try:
* delete (perhaps backup first) nbproject/private folder
* start NB with clean userdir (nb --userdir /some/path)
Comment 3 ladermann 2008-06-13 06:33:33 UTC
Deleting and restarting the IDE doesn't help. The user libraries are still missing in private/private.properties and can
only be fixed for the session as I described above. Find attached the zips of the nbproject folder before and after the
start of Netbeans.
Comment 4 ladermann 2008-06-13 06:34:56 UTC
Created attachment 62779 [details]
Before start of the IDE
Comment 5 ladermann 2008-06-13 06:37:05 UTC
Created attachment 62780 [details]
After start of the IDE
Comment 6 David Konecny 2008-06-19 01:04:56 UTC
This problem exists in ejb, ear and appclient projects which do not use "Libraries Folder". It is related to issues
129316 and 134452 which were not properly fixed (apart from web project).

How to reproduce:
* create one of above mentioned projects without Libraries Folder
* add for example Struts library (that is a library which has >1 jars) to compilation classpath (in case of ear add
library to packaging panel)
* notice that private.properties file contains libs.XXX.classpath.libfile.XXX
* restart IDE and all libs.XXX.classpath.libfile.XXX will be removed

Possible workaround is to configure projects to use Libraries Folder.

Fixed in fd62ed665a24 (will be pushed later today).
Comment 7 Quality Engineering 2008-06-20 15:55:11 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #271 build
Changeset: http://hg.netbeans.org/main/rev/fd62ed665a24
User: David Konecny <dkonecny@netbeans.org>
Log: #137071 - User library definitions are removed from nbproject/private/private.properties on startup
Comment 8 rbalada 2008-07-17 11:47:27 UTC
ladermann,

I would like to ask you to verify this fix works in trunk builds. This way I can follow-up and make it appear in NB 6.1
Patch (3) release.

Thanks,
-R
Comment 9 ladermann 2008-07-30 07:03:50 UTC
I just want to let you know, that the latest update indeed fixed the problem. Thank's for your efforts!
Comment 10 rbalada 2008-08-04 15:53:41 UTC
Please note that NetBeans 6.1 Patch3 cut-off is going to happen on close of
business August 5th. If you would like to have bugfix for this issue as part of
NetBeans 6.1 Patch3, then this issue must have information about bugfix' trunk
changeset and it's status must be "VERIFIED".
Comment 11 David Konecny 2008-08-04 22:50:34 UTC
ladermann did verify this issue just forgot to update the state.
Comment 12 rbalada 2008-08-05 09:39:57 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/fd62ed665a24 into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/df8acee451ba


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo